Search documentation of wx

# wxActivateEvent (wx v2.5.4)

Copy Markdown View Source

An activate event is sent when a window or application is being activated or deactivated.

See: Overview events

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxActivateEvent

## Events

Use `wxEvtHandler:connect/3` with `wxActivateEventType` to subscribe to events of this type.

## Summary

### Types

wxActivate()
wxActivateEvent()
wxActivateEventType()

### Functions

getActive(This)

Returns true if the application or window is being activated, false otherwise.

## Types

# wxActivate()

    -type wxActivate() :: #wxActivate{type :: wxActivateEvent:wxActivateEventType(), active :: boolean()}.

# wxActivateEvent()

    -type wxActivateEvent() :: wx:wx_object().

# wxActivateEventType()

    -type wxActivateEventType() :: activate | activate_app | hibernate.

## Functions

# getActive(This)

    -spec getActive(This) -> boolean() when This :: wxActivateEvent().

Returns true if the application or window is being activated, false otherwise.